Package org.apache.synapse.commons.throttle.core.internal

# Class ThrottleServiceComponent

java.lang.Object
org.apache.synapse.commons.throttle.core.internal.ThrottleServiceComponent

public class ThrottleServiceComponent extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThrottleServiceComponent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `activate(org.osgi.service.component.ComponentContext context)`
  `protected void`
  `addDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)`
  Access Distributed Counter Instance, which is exposed as an OSGI service.
  `protected void`
  `addDistributedThrottleProcessorInstance(DistributedThrottleProcessor distributedThrottleProcessor)`
  `protected void`
  `deactivate(org.osgi.service.component.ComponentContext ctx)`
  `protected void`
  `removeDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)`
  `protected void`
  `removeDistributedThrottleProcessorInstance(DistributedThrottleProcessor distributedThrottleProcessor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThrottleServiceComponent

    public ThrottleServiceComponent()

- ## Method Details

  - ### activate

    protected void activate(org.osgi.service.component.ComponentContext context)

  - ### deactivate

    protected void deactivate(org.osgi.service.component.ComponentContext ctx)

  - ### addDistributedCounterManagerInstance

    protected void addDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)
    Access Distributed Counter Instance, which is exposed as an OSGI service.
    Parameters:
      `distributedCounterManager` -

  - ### removeDistributedCounterManagerInstance

    protected void removeDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)

  - ### addDistributedThrottleProcessorInstance

    protected void addDistributedThrottleProcessorInstance(DistributedThrottleProcessor distributedThrottleProcessor)

  - ### removeDistributedThrottleProcessorInstance

    protected void removeDistributedThrottleProcessorInstance(DistributedThrottleProcessor distributedThrottleProcessor)